from typing import Optional


def parse_none_if_null_str(value: str) -> Optional[str]:
    if value is None:
        return None

    if isinstance(value, str) and (value in ('None', 'null', '') or not value):
        return None

    return value
